<!-- mobile additional filter -->
<?php

if($this->static_page_key == 'nuove'){
    $where_cities =  array('DATE( e.date_registered ) >= (DATE( NOW( ) - INTERVAL 3 MONTH))');
}elseif($this->static_page_key == 'videos'){
    $where_cities =  array('e.has_video = ?' => 1);
}elseif($this->static_page_key == 'independents'){
    $where_cities =  array('e.agency_id IS NULL');
}else{
    $where_cities = false;
}

$gender = $this->gender ? $this->gender : GENDER_FEMALE;
$is_agency = null;
$all_cities = Model_Statistics::getCities(null, $gender, $is_agency, null, false, $where_cities);
$top_cities = array_slice($all_cities, 0, 5);
$more_cities = array_slice($all_cities, 5);//count($all_cities);
usort($more_cities, function($a, $b)
{
    return strcmp($a->city_title, $b->city_title);
});
$country_iso = Cubix_Application::getById()->iso;
?>

<?php
if ($this->params['city']) {
    $city_slug = $this->params['city'];
    $model = new Cubix_Geography_Cities();
    $city = $model->getBySlug($city_slug);
    $city_title = ($this->static_page_key == 'boys') ? __('escort_boys_in') . $city->title : __('escort_girls_in') . ' ' . $city->title;
}

if ($zone_slug = $this->params['zone']) {
    $z_model = new Cubix_Geography_Cityzones();
    $zone = $z_model->getBySlug($zone_slug);
}
?>
<?php

switch ($this->static_page_key) {
    case 'trans':
        $title = ($this->params['zone']) ? __('escort_in') . $zone->title : __('trans_escorts_close_to_you');
        break;
    case 'boys':
        $title = ($this->params['zone']) ? __('escort_in') . $zone->title : __('escort_boys_close_to_you');
        break;
    case 'nuove':
        $title = __('new_escorts');
        break;
    case 'videos':
        $city_exists = $city_title ? __('in') . ' ' . $city->title : '';
        $city_title = __('escort_videos') . ' ' . $city_exists;
        break;

    case  'happy-hours':
        $title = __('happy_hour_escorts');
        break;

    default:
        $title = ($this->params['zone']) ? __('escort_in') . $zone->title : __('escorts_girls_close_to_you');
        break;
}
?>
<div class="container-jumbotron mobile-additional-filter py-2 hidden-sm-up <?= ($this->params['zone']) ? 'zone' : '' ?>">
    <div class="d-flex justify-content-center">

        <div id="mobileFilters">
            <? if ($this->req != '/videos'): ?>
                <label id="mob-list-view"
                       class="btn btn-blue mb-0 <?= $this->view_type == 'list' ? 'active' : ''; ?>  d-none d-md-block">
                    <input type="radio" name="options" id="option1" autocomplete="off"><i
                            class="ion-android-funnel"></i><?= __('list_view') ?>
                </label>
                <label id="mob-grid-view"
                       class="btn btn-blue mb-0 <?= $this->view_type == 'grid' ? 'active' : ''; ?>  d-none d-md-block">
                    <input type="radio" name="options" id="option2" autocomplete="off"><i
                            class="ion-android-checkbox-blank"></i><?= __('xl_view') ?>
                </label>
            <?php endif; ?>
            <div class="d-flex flex-columne align-items-center justify-content-between">
                <span class="mobile-m-auto"><?= ($city_title) ? $city_title : $title ?></span>

            
                <a href="#" data-toggle="modal" data-target=".additional-filters-modal" aria-expanded="false"
               class="la la-filter la-2x mobile-filter-button float-right text-white"></a>
            </div>
            
         

            <div class="top-3-cities">
                 
                <? foreach ($top_cities as $city_loop): ?>
                    <? if($city->id == $city_loop->city_id )continue; ?>
                    <a class="d-flex justify-content-start city-info"
                       href="<?= $this->getLink('escorts', array('city' => $country_iso . '_' . $city_loop->city_slug, 'filter' => null, 'page' => null)) ?>"
                       title="escort <?= $city->city_title ?>">
                        <div class="p-1 city-name"><?= $city_loop->city_title ?></div>
                        <div class="p-1 city-escorts-count ml-auto"><?= $city_loop->escort_count ?></div>
                    </a>
                <? endforeach; ?>
            </div>

            <div id="moreCitiesMobile" class="collapse">
                <? foreach ($more_cities as $more_city_loop): ?>
                    <a class="d-flex justify-content-start city-info"
                       href="<?= $this->getLink('escorts', array('city' => $country_iso . '_' . $more_city_loop->city_slug, 'filter' => null, 'page' => null)) ?>"
                       title="escort <?= $city->city_title ?>">

                        <div class="p-1 city-name"><?= $more_city_loop->city_title ?></div>
                        <div class="p-1 city-escorts-count ml-auto"><?= $more_city_loop->escort_count ?></div>
                    </a>
                <? endforeach; ?>
            </div>
            <div class="show-all-cities mobile-show-all-cities py-2">
                <button type="button" data-target="#moreCitiesMobile" data-toggle="collapse"
                        class="btn btn-outline-pink w-100 more-cities collapsed">
                    <span class="show-all-cities text-uppercase"><?= __("see_all_cities") ?></span>
                </button>
                 <button data-target="#moreCitiesMobile" aria-expanded="false" data-toggle="collapse" class="show-less-cities fixed-bottom mobile-city-close ">
                    <i class="la la-close"></i>
                </button>
            </div>
        </div>
        <!-- Filters Modal -->
        <div class="modal fade additional-filters-modal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel"
             aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content filters">

                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span class="close" aria-hidden="true">×</span>
                    </button>
                    <h6 class="modal-title"><?= __("filters") ?></h6>
                    <label class="custom-control custom-checkbox">
                        <input type="checkbox" name="verified"
                               value="1" <?= ($this->f_verified) ? 'checked="checked"' : '' ?>
                               class="custom-control-input">
                        <span class="custom-control-indicator"></span>
                        <span class="custom-control-description"><?= __("verified_pictures") ?></span>
                    </label>
                    <label class="custom-control custom-checkbox">
                        <input type="checkbox" name="verified_contact"
                               value="1" <?= ($this->f_verified_contact) ? 'checked="checked"' : '' ?>
                               class="custom-control-input">
                        <span class="custom-control-indicator"></span>
                        <span class="custom-control-description"><?= __("verified_contact_detalis") ?></span>
                    </label>
                    <label class="custom-control custom-checkbox">
                        <input type="checkbox" name="review"
                               value="1" <?= ($this->f_review) ? 'checked="checked"' : '' ?>
                               class="custom-control-input">
                        <span class="custom-control-indicator"></span>
                        <span class="custom-control-description"><?= __("has_reviews") ?></span>
                    </label>

                    <? if ($this->static_page_key != 'videos'): ?>
                        <label class="custom-control custom-checkbox">
                            <input type="checkbox" name="video"
                                   value="1" <?= ($this->f_video) ? 'checked="checked"' : '' ?>
                                   class="custom-control-input">
                            <span class="custom-control-indicator"></span>
                            <span class="custom-control-description"><?= __("has_video") ?></span>
                        </label>
                    <? endif; ?>


                    <? if ($this->sort_types && $this->req != '/videos'): ?>
                        <h6 class="modal-title"><?= __("order_by") ?></h6>

                        <select class="custom-select mr-2" data-filter="true">
                            <option value="1" selected><?= __("newest_first") ?></option>
                            <option value="2"><?= __("price_ascending") ?></option>
                            <option value="3"><?= __("price_descending") ?></option>
                            <option value="4"><?= __("most_viewed") ?></option>
                            <option value="5"><?= __("last_modified") ?></option>
                            <option value="6"><?= __("city") ?></option>
                        </select><br>
                    <? endif; ?>
                    <? if($this->req != '/videos'): ?>
                        <select id="view-type-box-mobile" class="custom-select mr-2">
                            <option value="grid" id="mob-grid-view" <?= $this->view_type == 'grid' ? 'selected' :''?>><?= __('grid_view')  ?></option>
                            <option value="list" id="mob-list-view" <?= $this->view_type == 'list' ? 'selected' :''?>><?= __('list_view')  ?></option>
                        </select>

                    <? endif; ?>
                    <div class="modal-footer mt-4">
                        <button type="button" data-role="reset" class="btn btn-secondary"><?= __("reset") ?></button>
                        <button type="button" class="btn btn-primary" data-dismiss="modal"
                                aria-label="Close"><?= __('done') ?><i class="ion-checkmark"></i></button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Filters Modal END -->


    </div>
</div>
<!-- mobile additional filter END -->